package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag786;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT786Creator;

/**
 * @author wuzhe
 * @date 2023/2/27
 */
public class Tag23XCreator extends AbsTagCreate {

     private MT786Creator mt786Creator;

    public Tag23XCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt786Creator= (MT786Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag23XValue = mt786Creator.getFileIdentification();
        mt786Creator.set("23X", tag23XValue);
    }
}
